/// <reference types="es6-promise" />
/// <reference types="node" />
import { GulpTask } from '@microsoft/gulp-core-build';
import gulp = require('gulp');
export interface ISassTaskConfig {
    preamble?: string;
    postamble?: string;
    sassMatch?: string[];
    useCSSModules?: boolean;
    dropCssFiles?: boolean;
}
export declare class SassTask extends GulpTask<ISassTaskConfig> {
    name: string;
    taskConfig: ISassTaskConfig;
    cleanMatch: string[];
    executeTask(gulp: gulp.Gulp, completeCallback?: (result?: string) => void): Promise<{}> | NodeJS.ReadWriteStream | void;
    private _processFiles(gulp, srcPattern, completeCallback, postCSSPlugins);
    private _generateModuleStub(cssFileName, json);
    private generateScopedName(name, fileName);
}
