"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var gulp_core_build_1 = require('@microsoft/gulp-core-build');
/**
 * This task generates and trusts a development certificate. The certificate is self-signed
 *  and stored, along with its private key, in the user's home directory. On Windows, it's
 *  trusted as a root certification authority in the user certificate store. On macOS, it's
 *  trusted as a root cert in the keychain. On other platforms, the certificate is generated
 *  and signed, but the user must trust it manually.
 */
var TrustCertTask = (function (_super) {
    __extends(TrustCertTask, _super);
    function TrustCertTask() {
        _super.apply(this, arguments);
        this.name = 'trust-cert';
    }
    TrustCertTask.prototype.executeTask = function (gulp, completeCallback) {
        var ensureCertificate = require('./certificates').ensureCertificate; // tslint:disable-line
        var certificate = ensureCertificate(true, this);
        if (certificate.pemCertificate && certificate.pemKey) {
            completeCallback();
        }
        else {
            completeCallback('Error trusting development certificate.');
        }
    };
    return TrustCertTask;
}(gulp_core_build_1.GulpTask));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = TrustCertTask;

//# sourceMappingURL=TrustCertTask.js.map
