"use strict";
var sudo = require('sudo');
var deasync = require('deasync');
function runSudoSync(params) {
    var sudoResult = sudo(params, {
        cachePassword: false,
        prompt: 'Enter your password: '
    });
    var stderr = [];
    sudoResult.stderr.on('data', function (data) {
        stderr.push(data.toString());
    });
    var stdout = [];
    sudoResult.stdout.on('data', function (data) {
        stdout.push(data.toString());
    });
    var code = undefined;
    sudoResult.on('close', function (exitCode) {
        code = exitCode;
    });
    // Because we're running with sudo, we can't run synchronously, so synchronize by polling.
    while (code === undefined) {
        deasync.sleep(100);
    }
    return { code: code, stdout: stdout, stderr: stderr };
}
exports.runSudoSync = runSudoSync;

//# sourceMappingURL=sudoSync.js.map
