import { GulpTask } from '@microsoft/gulp-core-build';
import gulpType = require('gulp');
import ts = require('gulp-typescript');
export interface ITypeScriptTaskConfig {
    /**
     * Fails the build when errors occur.
     * @default true
     */
    failBuildOnErrors: boolean;
    /**
     * Glob matches for files to be included in the build.
     */
    sourceMatch?: string[];
    /**
     * Glob matches for files to be passed through the build.
     */
    staticMatch?: string[];
    /**
     * Optional override for a custom reporter object to be passed into the TypeScript compiler.
     */
    reporter?: ts.reporter.Reporter;
    /**
     * Optional override for the TypeScript compiler.
     */
    typescript?: any;
    /**
     * Removes comments from all generated `.js` files. Will **not** remove comments from generated `.d.ts` files.
     * Defaults to false.
     */
    removeCommentsFromJavaScript?: boolean;
    /**
     * If true, creates sourcemap files which are useful for debugging. Defaults to true.
     */
    emitSourceMaps?: boolean;
}
export declare class TypeScriptTask extends GulpTask<ITypeScriptTaskConfig> {
    name: string;
    taskConfig: ITypeScriptTaskConfig;
    private _tsProject;
    private _tsAMDProject;
    executeTask(gulp: gulpType.Gulp, completeCallback: (result?: string) => void): void;
    /** Override the new mergeConfig API */
    mergeConfig(config: ITypeScriptTaskConfig): void;
    private _compileProject(gulp, tsProject, destDir, allStreams, result);
    private _resolveSourceMapRoot(file);
}
