import * as Webpack from 'webpack';
import { GulpTask, IBuildConfig } from '@microsoft/gulp-core-build';
import gulp = require('gulp');
export interface IWebpackTaskConfig {
    /**
     * Path to a webpack config. A path to a config takes precidence over the "config" option.
     */
    configPath: string;
    /**
     * Webpack config object. If a path is specified by "configPath," and it is valid, this option is ignored.
     */
    config?: Webpack.Configuration;
    /**
     * An array of regular expressions or regular expression strings. If a warning matches any of them, it
     * will not be logged.
     */
    suppressWarnings?: (string | RegExp)[];
}
export declare class WebpackTask extends GulpTask<IWebpackTaskConfig> {
    name: string;
    taskConfig: IWebpackTaskConfig;
    readonly resources: Object;
    private _resources;
    isEnabled(buildConfig: IBuildConfig): boolean;
    executeTask(gulp: gulp.Gulp, completeCallback: (result?: Object) => void): void;
    private _logMissingConfigWarning();
}
