"use strict";
var State_1 = require('./State');
var ENVIRONMENT_VARIABLE_PREFIX = 'GCB_';
var _defaultValues = {};
function setConfigDefaults(defaultValues) {
    _defaultValues = defaultValues;
}
exports.setConfigDefaults = setConfigDefaults;
function getConfigValue(name, defaultValue) {
    // Try to get config value from environment variable.
    var envVariable = ENVIRONMENT_VARIABLE_PREFIX + name.toUpperCase();
    var envValue = process.env[envVariable];
    var argsValue = State_1.args[name.toLowerCase()];
    return _firstDefinedValue(argsValue, envValue, defaultValue, _defaultValues[name]);
}
exports.getConfigValue = getConfigValue;
function getFlagValue(name, defaultValue) {
    var configValue = getConfigValue(name, defaultValue);
    return configValue === 'true' || configValue === true;
}
exports.getFlagValue = getFlagValue;
/* tslint:disable:no-any */
function _firstDefinedValue() {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i - 0] = arguments[_i];
    }
    /* tslint:enable:no-any */
    for (var _a = 0, args_1 = args; _a < args_1.length; _a++) {
        var arg = args_1[_a];
        if (arg !== undefined) {
            return arg;
        }
    }
    return undefined;
}

//# sourceMappingURL=config.js.map
