/// <reference types="chalk" />
/// <reference types="node" />
import * as gulp from 'gulp';
import * as Chalk from 'chalk';
export declare function logSummary(value: string): void;
export declare function log(...args: Array<string | Chalk.ChalkChain>): void;
export declare function reset(): void;
export declare enum TestResultState {
    Passed = 0,
    Failed = 1,
    FlakyFailed = 2,
    Skipped = 3,
}
export declare function functionalTestRun(name: string, result: TestResultState, duration: number): void;
export declare function endTaskSrc(taskName: string, startHrtime: [number, number], fileCount: number): void;
export declare function coverageData(coverage: number, threshold: number, filePath: string): void;
export declare function addSuppression(str: string): void;
export declare function warn(...args: Array<string | Chalk.ChalkChain>): void;
export declare function error(...args: Array<string | Chalk.ChalkChain>): void;
export declare function fileLog(write: (text: string) => void, taskName: string, filePath: string, line: number, column: number, errorCode: string, message: string): void;
export declare function fileWarning(taskName: string, filePath: string, line: number, column: number, errorCode: string, message: string): void;
export declare function fileError(taskName: string, filePath: string, line: number, column: number, errorCode: string, message: string): void;
export declare function verbose(...args: Array<string | Chalk.ChalkChain>): void;
export declare function generateGulpError(error: Object): Object;
export declare function writeError(e: any): void;
export declare function getWarnings(): string[];
export declare function getErrors(): string[];
export declare function getStart(): [number, number];
export declare function setWatchMode(): void;
export declare function getWatchMode(): boolean;
export declare function setExitCode(exitCode: number): void;
export declare function logStartSubtask(name: string): void;
export declare function logEndSubtask(name: string, startTime: [number, number], errorObject?: Error): void;
export declare function initialize(gulp: gulp.Gulp, gulpErrorCallback?: (err: Error) => void, gulpStopCallback?: (err: Error) => void): void;
export declare function markTaskCreationTime(): void;
