"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var GulpTask_1 = require('./GulpTask');
var CopyTask = (function (_super) {
    __extends(CopyTask, _super);
    function CopyTask() {
        _super.apply(this, arguments);
        this.taskConfig = {
            copyTo: {},
            shouldFlatten: true
        };
    }
    CopyTask.prototype.executeTask = function (gulp, completeCallback) {
        /* tslint:disable:typedef */
        var flatten = require('gulp-flatten');
        var gulpif = require('gulp-if');
        var merge = require('merge2');
        var _a = this.taskConfig, copyTo = _a.copyTo, shouldFlatten = _a.shouldFlatten;
        /* tslint:enable:typedef */
        var allStreams = [];
        var _loop_1 = function(copyDest) {
            if (copyTo.hasOwnProperty(copyDest)) {
                var sources = copyTo[copyDest];
                sources.forEach(function (sourceMatch) { return allStreams.push(gulp.src(sourceMatch)
                    .pipe(gulpif(shouldFlatten, flatten()))
                    .pipe(gulp.dest(copyDest))); });
            }
        };
        for (var copyDest in copyTo) {
            _loop_1(copyDest);
        }
        if (allStreams.length === 0) {
            completeCallback();
        }
        else {
            return merge(allStreams);
        }
    };
    return CopyTask;
}(GulpTask_1.GulpTask));
exports.CopyTask = CopyTask;

//# sourceMappingURL=CopyTask.js.map
