/// <reference types="node" />
import { GulpTask } from './GulpTask';
import gulpType = require('gulp');
/**
 * This task attempts to detect if package.json file has been updated without the
 * shrinkwrap file being regenerated.
 *
 * It does this by checking that every dependency and dev dependency exists in the
 * shrinkwrap file and that the version in the shrinkwrap file satisfies what is
 * defined in the package.json file.
 */
export declare class ValidateShrinkwrapTask extends GulpTask<{}> {
    name: string;
    executeTask(gulp: gulpType.Gulp): NodeJS.ReadWriteStream;
    private _validate(packageDep, shrinkwrapDep);
}
