"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var gulp_core_build_1 = require('@microsoft/gulp-core-build');
var gulp_core_build_typescript_1 = require('@microsoft/gulp-core-build-typescript');
var gulp_core_build_sass_1 = require('@microsoft/gulp-core-build-sass');
var gulp_core_build_karma_1 = require('@microsoft/gulp-core-build-karma');
var gulp_core_build_webpack_1 = require('@microsoft/gulp-core-build-webpack');
var gulp_core_build_serve_1 = require('@microsoft/gulp-core-build-serve');
var PostProcessSourceMaps_1 = require('./PostProcessSourceMaps');
__export(require('@microsoft/gulp-core-build'));
__export(require('@microsoft/gulp-core-build-typescript'));
__export(require('@microsoft/gulp-core-build-sass'));
__export(require('@microsoft/gulp-core-build-karma'));
__export(require('@microsoft/gulp-core-build-webpack'));
__export(require('@microsoft/gulp-core-build-serve'));
// pre copy and post copy allows you to specify a map of dest: [sources] to copy from one place to another.
exports.preCopy = new gulp_core_build_1.CopyTask();
exports.preCopy.name = 'pre-copy';
exports.postCopy = new gulp_core_build_1.CopyTask();
exports.postCopy.name = 'post-copy';
var sourceMatch = [
    'src/**/*.{ts,tsx,scss,js,txt,html}',
    '!src/**/*.scss.ts'
];
// Define default task groups.
exports.compileTsTasks = gulp_core_build_1.parallel(gulp_core_build_typescript_1.typescript, gulp_core_build_typescript_1.text);
exports.buildTasks = gulp_core_build_1.task('build', gulp_core_build_1.serial(exports.preCopy, gulp_core_build_sass_1.sass, gulp_core_build_1.parallel(exports.compileTsTasks, gulp_core_build_typescript_1.text), exports.postCopy));
exports.bundleTasks = gulp_core_build_1.task('bundle', gulp_core_build_1.serial(exports.buildTasks, gulp_core_build_webpack_1.webpack));
exports.testTasks = gulp_core_build_1.serial(gulp_core_build_sass_1.sass, exports.compileTsTasks, gulp_core_build_karma_1.karma);
exports.defaultTasks = gulp_core_build_1.serial(exports.bundleTasks, gulp_core_build_karma_1.karma);
exports.postProcessSourceMapsTask = new PostProcessSourceMaps_1.PostProcessSourceMaps();
exports.validateShrinkwrapTask = new gulp_core_build_1.ValidateShrinkwrapTask();
exports.generateShrinkwrapTask = new gulp_core_build_1.GenerateShrinkwrapTask();
gulp_core_build_1.task('validate-shrinkwrap', exports.validateShrinkwrapTask);
gulp_core_build_1.task('generate', exports.generateShrinkwrapTask);
gulp_core_build_1.task('test', gulp_core_build_1.serial(gulp_core_build_sass_1.sass, exports.testTasks));
gulp_core_build_1.task('test-watch', gulp_core_build_1.watch(sourceMatch, gulp_core_build_1.serial(gulp_core_build_sass_1.sass, exports.compileTsTasks, gulp_core_build_karma_1.karma)));
// For watch scenarios like serve, make sure to exclude generated files from src (like *.scss.ts.)
gulp_core_build_1.task('serve', gulp_core_build_1.serial(exports.bundleTasks, gulp_core_build_serve_1.serve, exports.postProcessSourceMapsTask, gulp_core_build_1.watch(sourceMatch, gulp_core_build_1.serial(exports.preCopy, gulp_core_build_sass_1.sass, exports.compileTsTasks, exports.postCopy, gulp_core_build_webpack_1.webpack, exports.postProcessSourceMapsTask, gulp_core_build_serve_1.reload))));
gulp_core_build_1.task('default', exports.defaultTasks);

//# sourceMappingURL=index.js.map
