'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _buildHierarchy = require('./buildHierarchy');

var _buildHierarchy2 = _interopRequireDefault(_buildHierarchy);

var cssString = _fs2['default'].readFileSync(_path2['default'].join(__dirname, './style.css'), 'utf8');
var jsString = _fs2['default'].readFileSync(_path2['default'].join(__dirname, './pluginmain.js'), 'utf8');

var VisualizerPlugin = (function () {
    function VisualizerPlugin(opts) {
        _classCallCheck(this, VisualizerPlugin);

        opts = opts || {};
        this.opts = {};
        this.opts.filename = opts.filename || 'stats.html';
    }

    _createClass(VisualizerPlugin, [{
        key: 'apply',
        value: function apply(compiler) {
            var _this = this;

            compiler.plugin('emit', function (compilation, callback) {
                var stats = compilation.getStats().toJson();
                var html = '<!doctype html>\n                <title>Webpack Visualizer</title>\n                <style>' + cssString + '</style>\n                <div id="App"></div>\n                <script>window.nodesData = ' + JSON.stringify((0, _buildHierarchy2['default'])(stats)) + ';</script>\n                <script>' + jsString + '</script>\n            ';

                compilation.assets[_this.opts.filename] = {
                    source: function source() {
                        return html;
                    },
                    size: function size() {
                        return html.length;
                    }
                };

                callback();
            });
        }
    }]);

    return VisualizerPlugin;
})();

exports['default'] = VisualizerPlugin;
module.exports = exports['default'];
