"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var React = require('react');
var Utilities_1 = require('office-ui-fabric-react/lib/Utilities');
var Button_1 = require('office-ui-fabric-react/lib/Button');
var TextField_1 = require('office-ui-fabric-react/lib/TextField');
var Todo_module_scss_1 = require('./Todo.module.scss');
var strings_1 = require('./../strings');
/**
 * The form component used for adding new item to the list.
 *
 * It uses fabric-react component <TextField> <Button>
 * Link of TextField: https://fabricreact.azurewebsites.net/fabric-react/master/#/examples/textfield
 * Link of Button: https://fabricreact.azurewebsites.net/fabric-react/master/#/examples/button
 */
var TodoForm = (function (_super) {
    __extends(TodoForm, _super);
    function TodoForm(props) {
        _super.call(this, props);
        this._onSubmit = this._onSubmit.bind(this);
        this._onBeforeTextFieldChange = this._onBeforeTextFieldChange.bind(this);
        this.state = {
            inputValue: '',
            errorMessage: ''
        };
    }
    TodoForm.prototype.render = function () {
        var _this = this;
        return (React.createElement("form", {className: Todo_module_scss_1.default.todoForm, onSubmit: this._onSubmit}, 
            React.createElement(TextField_1.TextField, {className: Todo_module_scss_1.default.textField, value: this.state.inputValue, ref: function (ref) { return _this._textField = ref; }, placeholder: strings_1.default.inputBoxPlaceholder, onBeforeChange: this._onBeforeTextFieldChange, autoComplete: 'off', errorMessage: this.state.errorMessage}), 
            React.createElement(Button_1.Button, {className: Todo_module_scss_1.default.addButton, buttonType: Button_1.ButtonType.primary, type: 'submit'}, strings_1.default.addButton)));
    };
    TodoForm.prototype._onSubmit = function (event) {
        event.preventDefault();
        if (!this._getTitleErrorMessage(this._textField.value)) {
            this.setState({
                inputValue: ''
            });
            this.props.onSubmit(this._textField.value);
        }
        else {
            this.setState({
                errorMessage: this._getTitleErrorMessage(this.state.inputValue)
            });
            this._textField.focus();
        }
    };
    TodoForm.prototype._onBeforeTextFieldChange = function (newValue) {
        this.setState({
            inputValue: newValue,
            errorMessage: ''
        });
    };
    TodoForm.prototype._getTitleErrorMessage = function (title) {
        if (title.trim() === '') {
            return strings_1.default.titleEmptyErrorMessage;
        }
        else {
            return '';
        }
    };
    __decorate([
        Utilities_1.autobind
    ], TodoForm.prototype, "_onSubmit", null);
    return TodoForm;
}(React.Component));
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = TodoForm;

//# sourceMappingURL=TodoForm.js.map
