module.exports = "import * as React from 'react';\nimport { Pane } from './Pane';\n\nexport interface IPaneProps extends React.Props<Pane> {\n  /**\n   * Whether the pane is displayed.\n   * @default false\n   */\n  hidden?: boolean;\n\n  /**\n   * Mode of the pane.\n   * @default PaneMode.push\n   */\n  paneMode?: PaneMode;\n\n  /**\n  * Has the close button visible.\n  * @default true\n  */\n  closeButtonVisible?: boolean;\n\n  /**\n   * Additional styling options.\n   */\n  className?: string;\n\n  /**\n   * Aria label on close button\n   */\n  closeButtonAriaLabel?: string;\n\n  /**\n   * Header text for the Pane.\n   * @default \"\"\n   */\n  headerText?: string;\n\n  /**\n   * Optional parameter to provider the class name for header text\n   */\n  headerClassName?: string;\n\n  /**\n   * Type of the pane.\n   * @default PaneType.small\n   */\n  type?: PaneType;\n\n  /**\n   * Event handler for when the pane is closed.\n   */\n  onDismiss?: () => void;\n}\n\nexport enum PaneType {\n  /**\n   * Renders the pane in 'small' mode, anchored to the far side (right in LTR mode).\n   */\n  small,\n\n  /**\n   * Renders the pane in 'medium' mode, anchored to the far side (right in LTR mode).\n   */\n  medium\n}\n\nexport enum PaneMode {\n  /**\n   * Pane reflows the main content and shrinks the viewable area.\n   */\n  push,\n\n  /**\n   * Pane leaves the content unchanged and only resizes the viewable area.\n   */\n  overlay\n}";