module.exports = "/* tslint:disable:no-unused-variable */\nimport * as React from 'react';\n/* tslint:enable:no-unused-variable */\n\nimport {\n  BaseComponent,\n  Button,\n  Dropdown,\n  IDropdownOption,\n  Pane,\n  PaneContent,\n  PaneMode,\n  PaneType,\n  WrappedContent,\n  autobind\n} from '../../../../index';\n\nimport './Pane.Example.scss';\n\nexport interface IPaneSmallRightExampleState {\n  showPane: boolean;\n  paneMode: PaneMode;\n  paneType: PaneType;\n}\n\nexport class PaneBasicExample extends BaseComponent<any, IPaneSmallRightExampleState> {\n\n  public constructor() {\n    super();\n\n    this.state = {\n      showPane: false,\n      paneType: PaneType.small,\n      paneMode: PaneMode.push\n    };\n  }\n\n  public render() {\n    return (\n      <div className='PaneExample'>\n        <div className='PaneExample-configArea'>\n          <Dropdown\n            label='Overlay Mode'\n            selectedKey={ this.state.paneMode }\n            options={ [\n              { key: PaneMode.overlay, text: 'Overlay' },\n              { key: PaneMode.push, text: 'Push' }\n            ] }\n            onChanged={ this._changePaneMode } />\n          <Dropdown\n            label='Size'\n            selectedKey={ this.state.paneType }\n            options={ [\n              { key: PaneType.small, text: 'Small' },\n              { key: PaneType.medium, text: 'Medium' }\n            ] }\n            onChanged={ this._changePaneSize } />\n        </div>\n        <div className='PaneExample-buttonArea'>\n          <Button description='Opens the Sample Pane' onClick={ this._showPane.bind(this) }>Open Pane</Button>\n        </div>\n        <Pane\n          hidden={ !this.state.showPane }\n          paneMode={ this.state.paneMode }\n          type={ this.state.paneType }\n          onDismiss={ this._closePane.bind(this) }\n          headerText='Pane - Right-aligned'\n          >\n          <WrappedContent className='PaneExample-content'>\n            [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block] [Main content block][Main content block] [Main content block]  [Main content block] [Main content block]\n          </WrappedContent>\n          <PaneContent className='ms-font-m'>\n            Pane content goes here.\n          </PaneContent>\n        </Pane>\n      </div>\n    );\n  }\n\n  @autobind\n  private _showPane() {\n    this.setState((prevState: IPaneSmallRightExampleState) => {\n      prevState.showPane = true;\n      return prevState;\n    });\n  }\n\n  @autobind\n  private _closePane() {\n    this.setState((prevState: IPaneSmallRightExampleState) => {\n      prevState.showPane = false;\n      return prevState;\n    });\n  }\n\n  @autobind\n  private _changePaneMode(option: IDropdownOption) {\n    this.setState((prevState: IPaneSmallRightExampleState) => {\n      prevState.showPane = false;\n      prevState.paneMode = option.key as PaneMode;\n      return prevState;\n    });\n  }\n\n  @autobind\n  private _changePaneSize(option: IDropdownOption) {\n    this.setState((prevState: IPaneSmallRightExampleState) => {\n      prevState.showPane = false;\n      prevState.paneType = option.key as PaneType;\n      return prevState;\n    });\n  }\n}";